Subject: [Softwires] [Technical Errata Reported] RFC7598 (4865)

From: RFC Errata System <[email-masked]>
Date: Tue, 15 Nov 2016 00:44:09 -0800 (PST)

The following errata report has been submitted for RFC7598,
"DHCPv6 Options for Configuration of Softwire Address and Port-Mapped Clients".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7598&eid=4865

--------------------------------------
Type: Technical
Reported by: Ian Farrer <[email-masked]>

Section: 4.3

Original Text
-------------
dmr-prefix6-len: 8 bits long; expresses the bitmask length of the 
IPv6 prefix specified in the dmr-ipv6-prefix field.  Allowed
values range from 0 to 128.

Corrected Text
--------------
dmr-prefix6-len: 8 bits long; expresses the bitmask length of the 
IPv6 prefix specified in the dmr-ipv6-prefix field.  Allowed
values range from 0 to 96.

Notes
-----
This field is used to provision the default mapping rule prefix length, which is defined in section 5.1 of RFC7599:
The DMR IPv6 prefix length SHOULD be 64 bits long by default and in any case MUST NOT exceed 96 bits.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC7598 (draft-ietf-softwire-map-dhcp-12)
--------------------------------------
Title               : DHCPv6 Options for Configuration of Softwire Address and Port-Mapped Clients
Publication Date    : July 2015
Author(s)           : T. Mrugalski, O. Troan, I. Farrer, S. Perreault, W. Dec, C. Bao, L. Yeh, X. Deng
Category            : PROPOSED STANDARD
Source              : Softwires
Area                : Internet
Stream              : IETF
Verifying Party     : IESG